package com.hdkj.lt.bf.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hdkj.lt.bf.entity.FhzgPlanPowerCut;
import com.hdkj.lt.bf.entity.dto.CreatePlanPowerCutDTO;
import com.hdkj.lt.bf.entity.dto.HasDataTagDTO;
import com.hdkj.lt.bf.entity.vo.FhzgPlanPowerCutVO;
import com.hdkj.lt.core.bizms.modle.dto.FhzgDistCustomerDTO;
import com.hdkj.lt.modle.dto.jsty.AllSwitchInfoListDTO;
import com.hdkj.hussar.ApiResponse;

import java.util.List;

/**
 * 计划停电转供方案信息表 服务接口
 *
 * @author zhousc
 * @since 2025-05-07
 */
public interface FhzgPlanPowerCutService extends IService<FhzgPlanPowerCut> {

    Page<FhzgPlanPowerCutVO> getSchemeList(FhzgPlanPowerCut obj);

    FhzgPlanPowerCutVO getSchemeByPlanId(Long planId);

    Integer updateSchemeState(FhzgPlanPowerCut obj);

    HasDataTagDTO getHasDataTag(FhzgDistCustomerDTO dto);

    FhzgPlanPowerCutVO  getByPlanIdOrPlanNo(FhzgDistCustomerDTO dto);

    List<AllSwitchInfoListDTO> getAllSwitchBySchemeId(Long planId);

    ApiResponse<Boolean> createPlanPowerCut(CreatePlanPowerCutDTO createPlanPowerCutDTO);
}
